@import "libs/shared/assets/src/global-style/variable";

:host {
  width: 100%;
}
.init-model-template {
  display: flex;
  justify-content: space-between;
  background: none;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
}

.init-model-template-card {
  border-radius: 16px;
  background: $bg-sidebar-text-active;
  padding: 24px;
  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 40px;
      }
    }
    &__label {
      color: $bg-gray-body;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
    }
    &__require {
      color: red;
    }
  }
  &__center {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 40px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      color: $bg-gray-body;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
    }
  }
  &__row {
    margin-top: 16px;
    &:last-child {
      margin-top: 16px;
      justify-content: space-between;
    }
    &__label {
      padding-left: 16px;
      font-size: 18px;
    }
    &__button {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $bt-primary-default;
      margin-left: 16px;
    }
  }
}

.form-row__input {
  width: 100%;
  border-radius: 10px !important;
  min-height: 40px;
}

.init-model-template-table {
  padding-top: 20px;
  min-width: 100%;
  &__label {
    font-size: 14px;
    line-height: 120%;
  }
}
.action-button {
  display: flex;
  column-gap: 10px;
}

.init-model-template-card__table--action {
  display: flex;
  justify-content: flex-end;
}

.ant-form-item {
  margin: 0px;
}

.ant-table-cell {
  vertical-align: top;
}
.style-button {
  background: white !important;
  border: none !important;
}

  .style-button {
    &__white {
      ::ng-deep {
        .mat-menu-trigger {
          background: white !important;
          border: none !important;
        }
      }
    }
  }

